# Uses of Class
net.sf.statcvs.input.LogSyntaxException

Packages that use LogSyntaxException
Package
Description
net.sf.statcvs
StatCVS main package containing the command line launcher and some core classes.
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.

## Uses of LogSyntaxException in net.sf.statcvs

Methods in net.sf.statcvs that throw LogSyntaxException
Modifier and Type
Method
Description
`static void`
Main.`generateDefaultHTMLSuite()`
Generates HTML report.

## Uses of LogSyntaxException in net.sf.statcvs.input

Methods in net.sf.statcvs.input that throw LogSyntaxException
Modifier and Type
Method
Description
`void`
CvsFileBlockParser.`parse()`
Parses one file from the input reader.
`void`
CvsLogfileParser.`parse()`
Parses the logfile.
`void`
CvsRevisionParser.`parse()`
Parses the list of revisions for one file